/* $Id$ 
 *
 * PyLasso -- Python bindings for Lasso library
 *
 * Copyright (C) 2004 Entr'ouvert
 * http://lasso.entrouvert.org
 * 
 * Authors: Nicolas Clapies <nclapies@entrouvert.com>
 *          Valery Febvre <vfebvre@easter-eggs.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "../lassomod.h"

#include "py_lib_name_identifier_mapping_response.h"

PyObject *LassoLibNameIdentifierMappingResponse_wrap(LassoLibNameIdentifierMappingResponse *response) {
  PyObject *ret;

  if (response == NULL) {
    Py_INCREF(Py_None);
    return (Py_None);
  }
  ret = PyCObject_FromVoidPtrAndDesc((void *) response,
                                     (char *) "LassoLibNameIdentifierMappingResponse *", NULL);
  return (ret);
}

/******************************************************************************/

PyObject *lib_name_identifier_mapping_response_new(PyObject *self, PyObject *args) {
  LassoNode *response;

  response = lasso_lib_name_identifier_mapping_response_new();

  return (LassoLibNameIdentifierMappingResponse_wrap(LASSO_LIB_NAME_IDENTIFIER_MAPPING_RESPONSE(response)));
}
